Get governance settings
curl --request GET \
--url https://api.visiqlabs.com/allow/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.visiqlabs.com/allow/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.visiqlabs.com/allow/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no_coverage_defaults": {},
"autopilot_enabled": true,
"hitl_timeout_seconds": 123,
"notification_channels": [
{
"type": "<string>",
"config": {}
}
],
"enduser_hitl_enabled": true,
"recall_retain_masked_original": true,
"auto_disable_high_interference": true,
"recall_floor_disabled_detectors": [
"<string>"
],
"recall_floor_enabled_optin": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no_coverage_defaults": {},
"autopilot_enabled": true,
"hitl_timeout_seconds": 123,
"notification_channels": [
{
"type": "<string>",
"config": {}
}
],
"enduser_hitl_enabled": true,
"recall_retain_masked_original": true,
"auto_disable_high_interference": true,
"recall_floor_disabled_detectors": [
"<string>"
],
"recall_floor_enabled_optin": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "insufficient_scope",
"detail": "This API key is not authorized for the requested operation."
}Settings
Get governance settings
Fetch the account’s governance defaults. Returns 200 if a row exists, or 201 when defaults are first initialized. Requires permission allow_settings:view.
GET
/
allow
/
settings
Get governance settings
Authorizations
A VisIQ API key presented as Authorization: Bearer vq_prod_.... Mint keys under Connectors -> API Keys in the dashboard.
Response
The settings.
Show child attributes
Show child attributes
Available options:
enforce, monitor, off Show child attributes
Show child attributes
⌘I